# rpmsq.h File Reference

`#include <rpm/rpmsw.h>`
`#include <signal.h>`
Include dependency graph for rpmsq.h:

Go to the source code of this file.

## Typedefs

typedef struct rpmsig_s * | rpmsig
typedef struct rpmsqElem * | rpmsq
typedef void(* | rpmsqAction_t )(int signum)
| Default signal handler prototype.

## Functions

int | rpmsqIsCaught (int signum)
| Test if given signal has been caught (while signals blocked).
void | rpmsqAction (int signum)
| Default signal handler.
int | rpmsqEnable (int signum, rpmsqAction_t handler)
| Enable or disable a signal handler.
pid_t | rpmsqFork (rpmsq sq)
| Fork a child process.
pid_t | rpmsqWait (rpmsq sq)
| Wait for child process to be reaped.

## Detailed Description

Definition in file rpmsq.h.